OpenVDB: NodeList< NodeT >::NodeRange::Iterator Class Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NodeList< NodeT >::NodeRange::Iterator Class Reference

`#include <openvdb/tree/NodeManager.h>`

## Public Member Functions
| Iterator (const NodeRange &range, size_t pos)
| Iterator (const Iterator &)=default
Iterator & | operator= (const Iterator &)=default
Iterator & | operator++ ()
| Advance to the next node.
NodeT & | operator* () const
| Return a reference to the node to which this iterator is pointing.
NodeT * | operator-> () const
| Return a pointer to the node to which this iterator is pointing.
size_t | pos () const
| Return the index into the list of the current node.
bool | isValid () const
bool | test () const
| Return `true` if this iterator is not yet exhausted.
| operator bool () const
| Return `true` if this iterator is not yet exhausted.
bool | empty () const
| Return `true` if this iterator is exhausted.
bool | operator!= (const Iterator &other) const
bool | operator== (const Iterator &other) const
const NodeRange & | nodeRange () const

## Constructor & Destructor Documentation

## ◆ Iterator() [1/2]

template<typename NodeT >

Iterator | ( | const NodeRange & | range,
|  | size_t | pos
| ) |  |
| inline

## ◆ Iterator() [2/2]

template<typename NodeT >

Iterator | ( | const Iterator & |  | ) |
| default

## Member Function Documentation

## ◆ empty()

template<typename NodeT >

bool empty | ( |  | ) | const
| inline

Return `true` if this iterator is exhausted.

## ◆ isValid()

template<typename NodeT >

bool isValid | ( |  | ) | const
| inline

## ◆ nodeRange()

template<typename NodeT >

const NodeRange & nodeRange | ( |  | ) | const
| inline

## ◆ operator bool()

template<typename NodeT >

operator bool | ( |  | ) | const
| inline

Return `true` if this iterator is not yet exhausted.

## ◆ operator!=()

template<typename NodeT >

bool operator!= | ( | const Iterator & | other | ) | const
| inline

## ◆ operator*()

template<typename NodeT >

NodeT & operator* | ( |  | ) | const
| inline

Return a reference to the node to which this iterator is pointing.

## ◆ operator++()

template<typename NodeT >

Iterator & operator++ | ( |  | ) |
| inline

Advance to the next node.

## ◆ operator->()

template<typename NodeT >

NodeT * operator-> | ( |  | ) | const
| inline

Return a pointer to the node to which this iterator is pointing.

## ◆ operator=()

template<typename NodeT >

Iterator & operator= | ( | const Iterator & |  | ) |
| default

## ◆ operator==()

template<typename NodeT >

bool operator== | ( | const Iterator & | other | ) | const
| inline

## ◆ pos()

template<typename NodeT >

size_t pos | ( |  | ) | const
| inline

Return the index into the list of the current node.

## ◆ test()

template<typename NodeT >

bool test | ( |  | ) | const
| inline

Return `true` if this iterator is not yet exhausted.